<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>Bcherliste</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/">
    <h2 align="center">Bcherliste</h2>
    <xsl:for-each select="//Titel" >
      <b>
        <p>Titel: <xsl:value-of select="." /><br />
          Autor(en): <br />
          <xsl:for-each select="../Autor" >
            <xsl:value-of select="Vorname" />
            <xsl:text> </xsl:text>
            <xsl:value-of select="Nachname" />
            <xsl:text> </xsl:text>
            geb. <xsl:value-of select="Gebdat" /> <br />
            <img>
              <xsl:attribute name="src">
              <xsl:value-of select="./Img/@quelle"/>
              </xsl:attribute>
              <xsl:if test="./Img/@hoehe">
                <xsl:attribute name="height">
                   <xsl:value-of select="./Img/@hoehe"/>
                </xsl:attribute>
              </xsl:if>
              <xsl:if test="./Img/@breite">
                <xsl:attribute name="width">
                  <xsl:value-of select="./Img/@breite"/>
                </xsl:attribute>
              </xsl:if>                          
            </img> <br />
          </xsl:for-each>
        </p>
      </b>
    </xsl:for-each>
  </xsl:template>
 
</xsl:stylesheet>
