<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:param name="Show" select="'ShowNotAll'"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>
          Einkaufsliste
        </title>
      </head>
      <body>
        <xsl:apply-templates />
       </body>
      </html>
  </xsl:template>

  <xsl:template match="getraenkeladen">
    <h1>Getraenkeladen</h1>
      <ol>
        <xsl:apply-templates />
      </ol>
  </xsl:template>

  <xsl:template match="limo">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="bier">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="milch">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="wein">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="supermarkt">
    <h1>Supermarkt</h1>
      <ol>
        <xsl:apply-templates />
      </ol>
  </xsl:template>

  <xsl:template match="brot">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="butter">
    <xsl:if test="$Show = 'ShowAll'">
      <li>
        <xsl:value-of select="."/>
      </li>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
