package com.herdt.javxml.kap07;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.io.*;

public class IEParamTransform
{
  private String media = null;
  private String title = null;
  private String charset = null;

  public IEParamTransform()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Transformer t1 = tf.newTransformer(new StreamSource("IEParamTrans.xsl"));
      Transformer t2 = tf.newTransformer(new StreamSource("IEParamTrans.xsl"));

      System.out.println("========= Show All ============");
      t1.setParameter("Show", "ShowAll");
      t1.transform(new StreamSource("IETrans.xml"), new StreamResult(System.out));

      System.out.println("========= Show Not All ============");
      t2.setParameter("Show", "ShowNotAll"); // oder weglassen, da der DefaultWert ShowNotAll ist
      t2.transform(new StreamSource("IETrans.xml"), new StreamResult(System.out));
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    new IEParamTransform();
  }
}
