package com.herdt.javxml.kap07;

import java.io.*;
import javax.xml.transform.*;
import javax.xml.transform.sax.*;
import javax.xml.transform.stream.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class IESAXTransform extends DefaultHandler
{
  private String media = null;
  private String title = null;
  private String charset = null;

  public IESAXTransform()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Transformer t = tf.newTransformer(new StreamSource("IETrans.xsl"));
      SAXResult rs = new SAXResult(this);
      t.transform(new StreamSource("IETrans.xml"), rs);
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public void startElement(String uri, String localName, String qName, Attributes attributes)
  {
    System.out.println("Start Element: " + localName);
  }  

  public static void main(String args[])
  {
    new IESAXTransform();
  }
}
