package com.herdt.javxml.kap07;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.io.*;

public class IETemplates
{
  public IETemplates()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Templates tmpl = tf.newTemplates(new StreamSource("IETrans.xsl"));

      Transformer t1 = tmpl.newTransformer();
      Transformer t2 = tmpl.newTransformer();

      System.out.println("=============== Transformation 1 =================");
      t1.transform(new StreamSource("IETrans.xml"), new StreamResult(System.out));
      System.out.println("=============== Transformation 2 =================");
      t2.transform(new StreamSource("IETrans2.xml"), new StreamResult(System.out));
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    new IETemplates();
  }
}
