package com.herdt.javxml.kap07;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;

public class Uebung2
{
  public Uebung2(String jahr)
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Templates tmpl = tf.newTemplates(new StreamSource("CDSammlung.xsl"));

      Transformer t1 = tmpl.newTransformer();
      Transformer t2 = tmpl.newTransformer();

      System.out.println("==== CD's aus dem Jahr 1995 ====");
      t1.setParameter("Jahr", jahr);
//      t1.transform(new StreamSource("CDSammlung.xml"), new StreamResult("CDSammlung.html"));
      t1.transform(new StreamSource("CDSammlung.xml"), new StreamResult(System.out));
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    if(args.length != 1)
      System.out.println("bergeben Sie das Jahr, dessen CD's angezeigt werden sollen.");
    else
      new Uebung2(args[0]);
  }
}
