package com.herdt.javxml.kap10;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import org.apache.batik.swing.*;
import org.apache.batik.swing.gvt.*;
import org.apache.batik.swing.svg.*;

public class AnzeigeSVG extends JFrame implements SVGDocumentLoaderListener
{
  JSVGCanvas svgCanvas = new JSVGCanvas();

  public AnzeigeSVG()
  {
    super("SVG - Anzeige");

    this.addWindowListener(new WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        System.exit(0);
      }
    });

    svgCanvas.addSVGDocumentLoaderListener(this);
    this.getContentPane().add(svgCanvas);

    this.setSize(500, 500);
    this.setVisible(true);

    try
    {
      File f = new File("D:\\batik-1.1.1\\samples\\asf-logo.svg");
      svgCanvas.setURI(f.toURL().toString());
    }
    catch(Exception _uh)
    {}
  }

  public void documentLoadingStarted(SVGDocumentLoaderEvent e)
  {
    this.setTitle("SVG - Anzeige, lade Datei ...");
  }

  public void documentLoadingCompleted(SVGDocumentLoaderEvent e)
  {
    this.setTitle("SVG - Anzeige, Datei geladen");
  }

  public void documentLoadingFailed(SVGDocumentLoaderEvent e)
  {}

  public void documentLoadingCancelled(SVGDocumentLoaderEvent e)
  {}

  public static void main(String[] args)
  {
    new AnzeigeSVG();
  }
}
