import java.io.*;
import org.apache.tools.ant.*;

public class Protokoller implements BuildListener
{
  private FileWriter fw;

  public void buildFinished(BuildEvent event)
  {
    try
    {
      fw.write("buildFinished\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
      fw.close();
    }
    catch(IOException _uh)
    {}
  }

  public void buildStarted(BuildEvent event)
  {
    try
    {
      fw = new FileWriter("Log.txt");
      fw.write("buildStarted\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }

  public void messageLogged(BuildEvent event)
  {
    try
    {
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }

  public void targetFinished(BuildEvent event)
  {
    try
    {
      fw.write("targetFinished\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }

  public void targetStarted(BuildEvent event)
  {
    try
    {
      fw.write("targetStarted\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }

  public void taskFinished(BuildEvent event)
  {
    try
    {
      fw.write("taskFinished\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }

  public void taskStarted(BuildEvent event)
  {
    try
    {
      fw.write("taskStarted\n");
      if(event.getMessage() != null)
        fw.write(event.getMessage() + "\n");
    }
    catch(IOException _uh)
    {}
  }
}
