package com.herdt.javxml.kap06;

import java.io.*;
import org.w3c.dom.*;
import org.xml.sax.SAXException;
import org.apache.xerces.parsers.*;

public class DOM1
{
  private Document doc;

  public DOM1()
  {
    DOMParser dom = new DOMParser();

    try
    {
      dom.parse("com\\herdt\\javxml\\kap06\\Dichter.xml");
      doc = dom.getDocument();

      System.out.println("Strukturbaum der Datei Dichter.xml vollstaendig aufgebaut");
    }
    catch(SAXException se)
    {
      System.out.println("Fehler beim Parsen: " + se.getMessage());
    }
    catch(IOException e)
    {
      System.out.println("E/A-Fehler: " + e.getMessage());
    }
  }

  public static void main(String[] args)
  {
    DOM1 dom1 = new DOM1();
    dom1.knotenAnzeigen();
  }

  void knotenAnzeigen()
  {
    NodeList knoten = doc.getChildNodes();

    System.out.println("Anzahl Knoten: " + knoten.getLength());

    for(int i = 0; i < knoten.getLength(); i++)
      System.out.println(knoten.item(i).getNodeName() + ": " + knoten.item(i).getNodeValue());
  }
}
