package com.herdt.javxml.kap07;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.io.*;

public class IETransform2 
{
  private String media = null;
  private String title = null;
  private String charset = null;

  public IETransform2()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Source ss = tf.getAssociatedStylesheet(new StreamSource("IETrans.xml"), media, title, charset);
      Transformer t = tf.newTransformer(ss);
//    t.transform(new StreamSource("IETrans.xml"), new StreamResult(new FileOutputStream("Ergebnis.html")));
      t.transform(new StreamSource("IETrans.xml"), new StreamResult(System.out));
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    new IETransform2();
  }
}
