package com.herdt.javxml.kap07;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;

public class Uebung1
{
  public Uebung1()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();
      Templates tmpl = tf.newTemplates(new StreamSource("CDSammlung.xsl"));

      Transformer t1 = tmpl.newTransformer();
      Transformer t2 = tmpl.newTransformer();

      System.out.println("==== Transformation der CD-Sammlung auf die Konsole ====");
      t1.transform(new StreamSource("CDSammlung.xml"), new StreamResult(System.out));
      System.out.println("=============== Transformation der CD-Sammlung in eine Datei ====");
      t1.transform(new StreamSource("CDSammlung.xml"), new StreamResult("CDSammlung.html"));
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    new Uebung1();
  }
}
