package com.herdt.javxml.kap10;

import java.awt.*;
import java.io.*;
import org.w3c.dom.*;
import org.apache.batik.dom.*;
import org.apache.batik.svggen.*;

public class ErzeugeSVG
{
  public void erzeuge(Graphics2D g)
  {
    g.drawOval(10, 10, 110, 110);

    g.scale(1, 2);
    g.translate(100, 100);

    g.setPaint(Color.green);
    g.fill3DRect(10, 10, 100, 100, true);

    g.setPaint(Color.black);
    g.drawString("Hello", 100, 100);
  }

  public static void main(String [] args) throws IOException
  {
    DOMImplementation domImpl = GenericDOMImplementation.getDOMImplementation();
    Document document = domImpl.createDocument(null, "svg", null);
    SVGGraphics2D svgGenerator = new SVGGraphics2D(document);

    ErzeugeSVG erzeugeSVG = new ErzeugeSVG();
    erzeugeSVG.erzeuge(svgGenerator);

    FileOutputStream fw = new FileOutputStream("D:\\Test.svg");
    Writer out = new OutputStreamWriter(fw, "UTF-8");
    svgGenerator.stream(out, true);
  }
}

